/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/GUIForms/JPanel.java to edit this template
 */
package StockManagement;

import Service.MaterialService;
import java.awt.Font;
import java.util.List;
import javax.swing.JOptionPane;
import javax.swing.table.AbstractTableModel;
import model.Material;

/**
 *
 * @author Acer
 */
public class MtrPanel extends javax.swing.JPanel {

    private final MaterialService mtrService;
    private List<Material> mtrList;
    private Material editedMtr;

    /**
     * Creates new form UserPanel
     */
    public MtrPanel() {
        initComponents();
        tblMaterial.getTableHeader().setFont(new Font("Tahoma", Font.BOLD, 16));
        mtrService = new MaterialService();
        mtrList = mtrService.getMaterials();
        tblMaterial.setModel(new AbstractTableModel() {
            String[] columnNames = {"Material ID", "Material name", "Material minimum value", "Material on hand value", "Material's unit"};

            @Override
            public String getColumnName(int column) {
                return columnNames[column];
            }

            @Override
            public int getRowCount() {
                return mtrList.size();
            }

            @Override
            public int getColumnCount() {
                return 5;
            }

            @Override
            public Object getValueAt(int rowIndex, int columnIndex) {
                Material mtr = mtrList.get(rowIndex);
                switch (columnIndex) {
                    case 0:
                        return mtr.getMtrID();
                    case 1:
                        return mtr.getMtrName();
                    case 2:
                        return mtr.getMtrMin();
                    case 3:
                        return mtr.getMtrOnHand();
                    case 4:
                        return mtr.getMtrUnit();
                    default:
                        return "Unknowm";
                }
            }
        });

        enableForm(false);
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        pnlMtrName = new javax.swing.JPanel();
        lblMtrName = new javax.swing.JLabel();
        txtMtrName = new javax.swing.JTextField();
        pnlMtrMin = new javax.swing.JPanel();
        lblMtrMin = new javax.swing.JLabel();
        txtMtrMin = new javax.swing.JTextField();
        pnlMtrOnHand = new javax.swing.JPanel();
        lblMtrOnHand = new javax.swing.JLabel();
        txtMtrOnHand = new javax.swing.JTextField();
        pnlMtrUnit = new javax.swing.JPanel();
        lblMtrUnit = new javax.swing.JLabel();
        txtMtrUnit = new javax.swing.JTextField();
        btnSave = new javax.swing.JButton();
        btnDelete = new javax.swing.JButton();
        btnAdd = new javax.swing.JButton();
        btnClear = new javax.swing.JButton();
        btnEdit = new javax.swing.JButton();
        scpTblMaterial = new javax.swing.JScrollPane();
        tblMaterial = new javax.swing.JTable();

        setBackground(new java.awt.Color(255, 255, 255));

        pnlMtrName.setBackground(new java.awt.Color(211, 197, 186));

        lblMtrName.setBackground(new java.awt.Color(129, 129, 129));
        lblMtrName.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        lblMtrName.setText("Material name :");

        txtMtrName.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        txtMtrName.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        txtMtrName.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                txtMtrNameActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout pnlMtrNameLayout = new javax.swing.GroupLayout(pnlMtrName);
        pnlMtrName.setLayout(pnlMtrNameLayout);
        pnlMtrNameLayout.setHorizontalGroup(
            pnlMtrNameLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(pnlMtrNameLayout.createSequentialGroup()
                .addGap(22, 22, 22)
                .addComponent(lblMtrName, javax.swing.GroupLayout.PREFERRED_SIZE, 104, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(29, 29, 29)
                .addComponent(txtMtrName)
                .addContainerGap())
        );
        pnlMtrNameLayout.setVerticalGroup(
            pnlMtrNameLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(pnlMtrNameLayout.createSequentialGroup()
                .addGap(14, 14, 14)
                .addGroup(pnlMtrNameLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(lblMtrName)
                    .addComponent(txtMtrName, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(16, Short.MAX_VALUE))
        );

        pnlMtrMin.setBackground(new java.awt.Color(211, 197, 186));

        lblMtrMin.setBackground(new java.awt.Color(129, 129, 129));
        lblMtrMin.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        lblMtrMin.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        lblMtrMin.setText("Material minimum :");

        txtMtrMin.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        txtMtrMin.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        txtMtrMin.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                txtMtrMinActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout pnlMtrMinLayout = new javax.swing.GroupLayout(pnlMtrMin);
        pnlMtrMin.setLayout(pnlMtrMinLayout);
        pnlMtrMinLayout.setHorizontalGroup(
            pnlMtrMinLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(pnlMtrMinLayout.createSequentialGroup()
                .addGap(9, 9, 9)
                .addComponent(lblMtrMin, javax.swing.GroupLayout.PREFERRED_SIZE, 127, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(52, 52, 52)
                .addComponent(txtMtrMin)
                .addContainerGap())
        );
        pnlMtrMinLayout.setVerticalGroup(
            pnlMtrMinLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(pnlMtrMinLayout.createSequentialGroup()
                .addGap(14, 14, 14)
                .addGroup(pnlMtrMinLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(txtMtrMin, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(lblMtrMin))
                .addContainerGap(16, Short.MAX_VALUE))
        );

        pnlMtrOnHand.setBackground(new java.awt.Color(211, 197, 186));

        lblMtrOnHand.setBackground(new java.awt.Color(129, 129, 129));
        lblMtrOnHand.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        lblMtrOnHand.setText("Material onhand :");

        txtMtrOnHand.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        txtMtrOnHand.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        txtMtrOnHand.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                txtMtrOnHandActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout pnlMtrOnHandLayout = new javax.swing.GroupLayout(pnlMtrOnHand);
        pnlMtrOnHand.setLayout(pnlMtrOnHandLayout);
        pnlMtrOnHandLayout.setHorizontalGroup(
            pnlMtrOnHandLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(pnlMtrOnHandLayout.createSequentialGroup()
                .addGap(26, 26, 26)
                .addComponent(lblMtrOnHand, javax.swing.GroupLayout.PREFERRED_SIZE, 123, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(txtMtrOnHand)
                .addContainerGap())
        );
        pnlMtrOnHandLayout.setVerticalGroup(
            pnlMtrOnHandLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(pnlMtrOnHandLayout.createSequentialGroup()
                .addGap(14, 14, 14)
                .addGroup(pnlMtrOnHandLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(lblMtrOnHand)
                    .addComponent(txtMtrOnHand, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(16, Short.MAX_VALUE))
        );

        pnlMtrUnit.setBackground(new java.awt.Color(211, 197, 186));

        lblMtrUnit.setBackground(new java.awt.Color(129, 129, 129));
        lblMtrUnit.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        lblMtrUnit.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        lblMtrUnit.setText("Material unit:");

        txtMtrUnit.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        txtMtrUnit.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        txtMtrUnit.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                txtMtrUnitActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout pnlMtrUnitLayout = new javax.swing.GroupLayout(pnlMtrUnit);
        pnlMtrUnit.setLayout(pnlMtrUnitLayout);
        pnlMtrUnitLayout.setHorizontalGroup(
            pnlMtrUnitLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(pnlMtrUnitLayout.createSequentialGroup()
                .addGap(23, 23, 23)
                .addComponent(lblMtrUnit, javax.swing.GroupLayout.PREFERRED_SIZE, 99, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(66, 66, 66)
                .addComponent(txtMtrUnit)
                .addContainerGap())
        );
        pnlMtrUnitLayout.setVerticalGroup(
            pnlMtrUnitLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(pnlMtrUnitLayout.createSequentialGroup()
                .addGap(14, 14, 14)
                .addGroup(pnlMtrUnitLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(lblMtrUnit)
                    .addComponent(txtMtrUnit, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(16, Short.MAX_VALUE))
        );

        btnSave.setBackground(new java.awt.Color(172, 145, 118));
        btnSave.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        btnSave.setText("Save");
        btnSave.setBorder(null);
        btnSave.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnSaveActionPerformed(evt);
            }
        });

        btnDelete.setBackground(new java.awt.Color(172, 145, 118));
        btnDelete.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        btnDelete.setText("Delete");
        btnDelete.setBorder(null);
        btnDelete.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnDeleteActionPerformed(evt);
            }
        });

        btnAdd.setBackground(new java.awt.Color(172, 145, 118));
        btnAdd.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        btnAdd.setText("Add");
        btnAdd.setBorder(null);
        btnAdd.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnAddActionPerformed(evt);
            }
        });

        btnClear.setBackground(new java.awt.Color(172, 145, 118));
        btnClear.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        btnClear.setText("Clear");
        btnClear.setBorder(null);
        btnClear.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnClearActionPerformed(evt);
            }
        });

        btnEdit.setBackground(new java.awt.Color(172, 145, 118));
        btnEdit.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        btnEdit.setText("Edit");
        btnEdit.setBorder(null);
        btnEdit.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnEditActionPerformed(evt);
            }
        });

        tblMaterial.setBackground(new java.awt.Color(255, 255, 255));
        tblMaterial.setFont(new java.awt.Font("Tahoma", 1, 16)); // NOI18N
        tblMaterial.setForeground(new java.awt.Color(84, 70, 63));
        tblMaterial.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Title 1", "Title 2", "Title 3", "Title 4"
            }
        ));
        tblMaterial.setGridColor(new java.awt.Color(255, 255, 255));
        tblMaterial.setMinimumSize(new java.awt.Dimension(80, 100));
        tblMaterial.setRowHeight(40);
        tblMaterial.setSelectionBackground(new java.awt.Color(84, 70, 63));
        tblMaterial.setSelectionForeground(new java.awt.Color(255, 255, 255));
        tblMaterial.setShowGrid(false);
        scpTblMaterial.setViewportView(tblMaterial);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(btnAdd, javax.swing.GroupLayout.PREFERRED_SIZE, 87, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addComponent(btnEdit, javax.swing.GroupLayout.PREFERRED_SIZE, 87, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(12, 12, 12)
                .addComponent(btnDelete, javax.swing.GroupLayout.PREFERRED_SIZE, 87, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(scpTblMaterial)
                        .addContainerGap())
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                        .addGap(0, 610, Short.MAX_VALUE)
                        .addComponent(btnSave, javax.swing.GroupLayout.PREFERRED_SIZE, 87, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(18, 18, 18)
                        .addComponent(btnClear, javax.swing.GroupLayout.PREFERRED_SIZE, 87, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(7, 7, 7))
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(pnlMtrName, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(pnlMtrOnHand, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(pnlMtrUnit, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(pnlMtrMin, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                        .addGap(6, 6, 6))))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(pnlMtrName, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(pnlMtrMin, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(pnlMtrOnHand, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(pnlMtrUnit, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(btnSave, javax.swing.GroupLayout.PREFERRED_SIZE, 40, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(btnClear, javax.swing.GroupLayout.PREFERRED_SIZE, 40, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addComponent(scpTblMaterial, javax.swing.GroupLayout.DEFAULT_SIZE, 417, Short.MAX_VALUE)
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(btnDelete, javax.swing.GroupLayout.PREFERRED_SIZE, 40, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(btnAdd, javax.swing.GroupLayout.PREFERRED_SIZE, 40, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(btnEdit, javax.swing.GroupLayout.PREFERRED_SIZE, 40, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );
    }// </editor-fold>//GEN-END:initComponents

    private void txtMtrNameActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_txtMtrNameActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_txtMtrNameActionPerformed

    private void txtMtrMinActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_txtMtrMinActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_txtMtrMinActionPerformed

    private void txtMtrOnHandActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_txtMtrOnHandActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_txtMtrOnHandActionPerformed

    private void txtMtrUnitActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_txtMtrUnitActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_txtMtrUnitActionPerformed

    private void btnSaveActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnSaveActionPerformed
        if (editedMtr.getMtrID() < 0) {
            setFormToObject();
            enableForm(false);
            mtrService.add(editedMtr);
            refreshTable();
        } else {
            setFormToObject();
            enableForm(false);
            mtrService.update(editedMtr);
            refreshTable();
        }
    }//GEN-LAST:event_btnSaveActionPerformed

    public void refreshTable() {
        mtrList = mtrService.getMaterials();
        tblMaterial.revalidate();
        tblMaterial.repaint();
    }

    public void setFormToObject() throws NumberFormatException {
        editedMtr.setMtrMin(Integer.valueOf(txtMtrMin.getText()));
        editedMtr.setMtrName(txtMtrName.getText());
        editedMtr.setMtrOnHand(Integer.valueOf(txtMtrOnHand.getText()));
        editedMtr.setMtrUnit(txtMtrUnit.getText());
    }

    private void btnDeleteActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnDeleteActionPerformed
        int selectedIndex = tblMaterial.getSelectedRow();
        if (selectedIndex >= 0) {
            editedMtr = mtrList.get(selectedIndex);
            int deleteConfirm = JOptionPane.showConfirmDialog(this, "Delete the selected data row ?", "Confirm deletion", JOptionPane.YES_NO_OPTION, JOptionPane.WARNING_MESSAGE);
            if (deleteConfirm == 0) {
                mtrService.delete(editedMtr);
                refreshTable();
            }
        }
    }//GEN-LAST:event_btnDeleteActionPerformed

    private void btnAddActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnAddActionPerformed
        editedMtr = new Material();
        setObjectToForm();
        enableForm(true);
    }//GEN-LAST:event_btnAddActionPerformed

    public void setObjectToForm() {
        txtMtrName.setText(editedMtr.getMtrName());
        txtMtrMin.setText(Integer.toString(editedMtr.getMtrMin()));
        txtMtrOnHand.setText(Integer.toString(editedMtr.getMtrOnHand()));
        txtMtrUnit.setText(editedMtr.getMtrUnit());
    }

    private void btnClearActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnClearActionPerformed
        enableForm(false);
        editedMtr = null;
    }//GEN-LAST:event_btnClearActionPerformed

    private void btnEditActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnEditActionPerformed
        int selectedIndex = tblMaterial.getSelectedRow();
        if (selectedIndex >= 0) {
            editedMtr = mtrList.get(selectedIndex);
            setObjectToForm();
            enableForm(true);
        }
    }//GEN-LAST:event_btnEditActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAdd;
    private javax.swing.JButton btnClear;
    private javax.swing.JButton btnDelete;
    private javax.swing.JButton btnEdit;
    private javax.swing.JButton btnSave;
    private javax.swing.JLabel lblMtrMin;
    private javax.swing.JLabel lblMtrName;
    private javax.swing.JLabel lblMtrOnHand;
    private javax.swing.JLabel lblMtrUnit;
    private javax.swing.JPanel pnlMtrMin;
    private javax.swing.JPanel pnlMtrName;
    private javax.swing.JPanel pnlMtrOnHand;
    private javax.swing.JPanel pnlMtrUnit;
    private javax.swing.JScrollPane scpTblMaterial;
    private javax.swing.JTable tblMaterial;
    private javax.swing.JTextField txtMtrMin;
    private javax.swing.JTextField txtMtrName;
    private javax.swing.JTextField txtMtrOnHand;
    private javax.swing.JTextField txtMtrUnit;
    // End of variables declaration//GEN-END:variables

    private void enableForm(boolean bool) {
        if (bool == false) {
            txtMtrName.setText("");
            txtMtrMin.setText("");
            txtMtrOnHand.setText("");
            txtMtrUnit.setText("");
        }
        txtMtrName.setEnabled(bool);
        txtMtrMin.setEnabled(bool);
        txtMtrOnHand.setEnabled(bool);
        txtMtrUnit.setEnabled(bool);
        btnSave.setEnabled(bool);
        btnClear.setEnabled(bool);
        if (bool == true) {
            txtMtrName.requestFocus();
        }
    }
}
